import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import 'dayjs/plugin/weekday';
import { DateContent, colorTypes } from '../interfaces/DateContent';
import { SelectedDateContext } from '../interfaces/SelectedDateContext';
export declare class NgxDotCalendarComponent implements OnInit, OnChanges {
    selectedDate: string;
    dateOutput: string;
    selectedYear: string;
    selectedDay: string;
    selectedMonth: string;
    selectedDayStr: string;
    selectedMonthStr: string;
    monthCalendarStr: string;
    monthCalendar: number;
    yearCalendar: string;
    changeViewOptions: boolean;
    dates: Object[];
    weeks: number[];
    viewCalendar: boolean;
    now: Date;
    format: string;
    id: string;
    idatePickerBinding: any;
    sundayHighlight: boolean;
    minYear: number;
    maxYear: number;
    disabled: boolean;
    disableDays: number[];
    minDate: any;
    maxDate: any;
    dateContents: DateContent[];
    getSelectedDate: EventEmitter<SelectedDateContext>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private init;
    private setCalendarProps;
    renderCalendar(): void;
    formatDateStr(): void;
    populateDate(): Object[];
    getLastDate(): number;
    private getDateChunk;
    selectDate(event: string): void;
    selectDate2(event: string): void;
    private selectedDateInner;
    changeCalendar(direction: string): void;
    viewOptions(): void;
    viewBack(event: string): void;
    toColorClassName(color: colorTypes): string;
}
